#include<iostream>
#include<cmath>
using namespace std;

int main()
{
	float c,a,m,n,x,y,b,t;
	int i,p;
	cin>>p;
	a=2.0;
	b=1.0;
	m=1;
	x=1;
	t=0;
	for(i=1;i<=p;i++){
		c=a/b;
		t=t+c;
		n=a;
		a=a+m;
		m=n;
		y=b;
		b=b+x;
		x=y;
		
	}
	
	cout<<t;
	return 0;
	
}
